#ifndef MYEVENT_H
#define MYEVENT_H

#include <QEvent>


class MyEvent : public QEvent {
public:
	static const QEvent::Type Mouse3D = static_cast<QEvent::Type>(1000);

	enum Actions{translation = 1, rotation, buttonpress };
    enum Buttons{leftButton = 1, rigthButton};

	MyEvent( ) : QEvent( (QEvent::Type)1000 )
	{
		vx = vy = vz = tx = ty = tz = b = 0;	
	}

	~MyEvent(){}

	static QEvent::Type type()
	{
		return Mouse3D;
	}
	int accion, b; 
	int vx, vy, vz, tx, ty, tz;
};

#endif // MYEVENT_H
